package cn.com.ty.lift.ud.payment.service;

import java.math.BigDecimal;

import cn.com.ty.lift.ud.payment.controller.query.UserBillQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.ud.payment.mapper.entity.UserBillEntity;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * 用户账单流水 -Service
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface IUserBillService extends IService<UserBillEntity> {

    BigDecimal getLatestBalance(Long expert);
    
    RestResponse selectByExample(UserBillQuery example);

    UserBillEntity getByUserIdAndBusinessType(Long userId, Integer businessType);

    UserBillEntity getByFlowNum(String orders);

    /**
     * 获取交易详情
     * @param id
     * @return
     */
    RestResponse getDetail(Long id);
}
